@echo off
cls             

rem Get the build information
rem --- Sets the following environment variables ---
rem VERSION = version of the BIOS build
rem BUILDDATE = date of the BIOS build
rem MACTYPE = Machine type of the system
call bldinfo.bat                        

rem prepare the system for the BIOS update                    
rem display update info                                          
ECHO                     =====================================
ECHO                     =                                   =
ECHO                     =     IBM %MACTYPE% BIOS Update      =
ECHO                     =     Version:%VERSION%               =
ECHO                     =     Date:%BUILDDATE%               =
ECHO                     =                                   =
ECHO                     =====================================

rem check to see if the system is really an IBM 4836.

4836dtct.exe
IF ERRORLEVEL 1 GOTO NVSYS


:UBIOS
ECHO.
ECHO Updating the system BIOS. This may take up to 60 seconds. Do NOT power off the
ECHO system. The system will be rebooted upon the successful completion of the 
ECHO update.

AWDFLASH %VERSION%.bin /py/sn/e

IF ERRORLEVEL 80 GOTO FFAIL

CLS
SSTATUS GOOD
GOTO FERROR

:FFAIL
SSTATUS BAD
ECHO.
ECHO An error occurred during the BIOS update process. Contact IBM Technical Support.
goto FERROR



:NVSYS
SSTATUS BAD
ECHO.
ECHO This system is not an IBM 4836-xxx. The BIOS update will not continue! Please 
ECHO power off the system.

GOTO FERROR
:FERROR




